Subject: Re: bug#74890: 31.0.50; (thing-at-point 'string) raises error

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2024 18:40:30 +0200

> Cc: [email-masked]
> Date: Mon, 16 Dec 2024 09:12:47 +0300
> From: Jean Louis <[email-masked]>
> 
> > > > I also don't understand your claims about "char after", because
> > > > there's always something "after" point.
> > 
> > No, there's _not_ always something (some text) after
> > point.  And that, I think, is what this report is about.
> > From Jean's description, the only text in the buffer is
> > `Hello', where that `o' char is the last char, and
> > point is _after_, not on/at, that `o'.
> 
> That is right.

It's wrong, but I cannot afford arguing with you two about this nit.

> > I see the same thing with `emacs -Q' for Emacs 29.4,
> > which is the latest Emacs release AFAIK:
> > 
> > Debugger entered--Lisp error: (wrong-type-argument characterp nil)
> >   thing-at-point-bounds-of-string-at-point()
> >   bounds-of-thing-at-point(string)
> >   thing-at-point(string)
> >   eval-expression((thing-at-point 'string) nil nil 127)
> >   funcall-interactively(eval-expression (thing-at-point 'string) nil nil 127)
> >   command-execute(eval-expression)
> 
> I do not have error in default Emacs with -Q with this version:
> GNU Emacs 31.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.24.38, cairo version 1.16.0) of 2024-12-05

Until there's a recipe to reproduce this in "emacs -Q", I maintain
that this is not an Emacs bug, and should be closed.  Which I will do
soon, unless a recipe is posted.